#' Univariate second-order differential equation
#'
#' A dataset containing the myX and time of almost 100 example.
#'  The variables are as follows:
#'
#' @format A data frame with 100 rows and 3 variables:
#' \describe{
#'   \item{seq}{sequence of observations}
#'   \item{myTime}{timestamp of observations; the first value of the time variable must be the initial time.}
#'   \item{myX}{the observed scores}
#' }
"example1"


#' Bivariate first-order differential equation
#'
#' A dataset containing the myX, myY and time of almost 15 example.
#'  The variables are as follows:
#'
#' @format A data frame with 15 rows and 3 variables:
#' \describe{
#'   \item{myTime}{timestamp of observations; the first value of the time variable must be the initial time.}
#'   \item{myX}{the observed scores of variable X}
#'   \item{myY}{the observed scores of variable Y}
#' }
"example2"


#' University of Michigan consumer sentiment index
#'
#' The Surveys of Consumers are conducted by the Survey Research Center at the University of
#' Michigan. Founded in 1946 by George Katona, the surveys have long stressed the important
#' influence of consumer spending and saving decisions in determining the course of the
#' national economy.
#'
#' @format A data frame with 540 rows and 6 variables:
#' \describe{
#'   \item{seq}{sequence of observations}
#'   \item{month}{months of data}
#'   \item{year}{from 1978 to 2022}
#'   \item{current}{the Index of Current Economic Conditions (ICC)}
#'   \item{expected}{the Index of Consumer Expectations (ICE)}
#'   \item{myTime}{months converted to time series}
#' }
#' @source{ University of Michigan, Survey Research Center, Surveys of Consumers. https://data.sca.isr.umich.edu/}
#'
"example3"


#' Bivariate first-order differential equation
#'
#' A dataset containing the myX, myY and time of almost 30 example.
#'  The variables are as follows:
#'
#' @format A data frame with 15 rows and 3 variables:
#' \describe{
#'   \item{myTime}{timestamp of observations; the first value of the time variable must be the initial time.}
#'   \item{myX}{the observed scores of variable X}
#'   \item{myY}{the observed scores of variable Y}
#' }
"example4"
